Package ch.qos.logback.access.net

# Class AccessEventPreSerializationTransformer

java.lang.Object
ch.qos.logback.access.net.AccessEventPreSerializationTransformer

All Implemented Interfaces:
  `PreSerializationTransformer<IAccessEvent>`

public class AccessEventPreSerializationTransformer extends Object implements PreSerializationTransformer<IAccessEvent>

## Constructor Summary

Constructors
Constructor
Description
`AccessEventPreSerializationTransformer()`

## Method Summary

Modifier and Type
Method
Description
`Serializable`
`transform(IAccessEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AccessEventPreSerializationTransformer

public AccessEventPreSerializationTransformer()

## Method Details

### transform

public Serializable transform(IAccessEvent event)

Specified by:
  `transform` in interface `PreSerializationTransformer<IAccessEvent>`